Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 86152 - docbook-utils postsript backend does not handle papersize
Summary: docbook-utils postsript backend does not handle papersize
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: docbook-utils
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-14 22:38 UTC by Mike Sowka
Modified: 2012-12-17 13:33 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-03-17 18:31:33 UTC


Attachments (Terms of Use)

Description Mike Sowka 2003-03-14 22:38:50 UTC
Description of problem:
The /usr/share/sgml/docbook/utils-*/backend/ps does not have any means to set
paper size that ?is handled? up to that point. Withing the above mentioned file,
the dvips command does not have the -t option.

Version-Release number of selected component (if applicable):
I've seen this in all of RH releases including Phoebe.

How reproducible:
try using db2ps and getting a USLetter format output!

Steps to Reproduce:
1.make a docbook document
2.run db2ps
3.
    
Actual results:
an A4 papersize no matter what

Expected results:
a letter format when supplied in the stylesheet

Additional info:
as a workaround, I've edited the /usr/share/sgml/docbook/utils-*/backend/ps and
inserted "-t letter" into the dvips command.

Comment 1 Tim Waugh 2003-03-17 18:31:33 UTC
Fixed package will be docbook-utils-0.6.13-1.


Note You need to log in before you can comment on or make changes to this bug.